For the complete documentation index, see llms.txt. This page is also available as Markdown.

List notifications for a service-order

List notifications for a service-order

Required permissions: SERVICE_ORDER

get
/tenants/{tenantUid}/stores/{storeUid}/serviceorders/{serviceOrderUid}/notifications
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
serviceOrderUidstringRequired

Reference to a service order

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/serviceorders/{serviceOrderUid}/notifications
GET /v2/tenants/{tenantUid}/stores/{storeUid}/serviceorders/{serviceOrderUid}/notifications HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "messageType": "EMAIL",
      "recipient": "text",
      "message": "text",
      "subject": "text",
      "state": "NOT_STARTED",
      "errorText": "text",
      "notificationUid": "text",
      "customerUid": "text",
      "orderUid": "text",
      "serviceOrderUid": "text",
      "serviceEventUid": "text",
      "tenantUserUid": "text",
      "supplierUid": "text",
      "receivementUid": "text",
      "purchaseOrderUid": "text",
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "source": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?